"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @file getBabelLoader
 * @author WenCe
 */
var babelrc_js_1 = __importDefault(require("../babelrc.js"));
var getExtraConfig_1 = require("../getExtraConfig");
var utils_1 = __importDefault(require("../utils"));
var BABEL_REGEX = /\.jsx?$/;
function getBabelLoader() {
    var rcb = getExtraConfig_1.getRcbConfig();
    return ({
        test: BABEL_REGEX,
        exclude: /node_modules/,
        use: [
            {
                loader: require.resolve('babel-loader'),
                options: utils_1.default.mergeBabelConfig(babelrc_js_1.default, { plugins: rcb.babelPlugins, presets: rcb.babelPresets })
            }
        ]
    });
}
exports.default = getBabelLoader;
;
