"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @file getLoaders
 * @author WenCe
 */
var fs_1 = __importDefault(require("fs"));
var path_1 = __importDefault(require("path"));
var utils_1 = __importDefault(require("./utils"));
function getPath(fileName) {
    var basePath = __dirname;
    return path_1.default.resolve(basePath, fileName);
}
function getLoader(filePath) {
    var getLoaderFn = utils_1.default.requireModule(filePath);
    if (utils_1.default.isFunction(getLoaderFn)) {
        return getLoaderFn();
    }
    return null;
}
function getLoaders() {
    var fileTypeRegex = /\.js$/;
    var configPath = getPath('getLoaderConfig/');
    var loaderFiles = fs_1.default.readdirSync(configPath);
    var loaders = [];
    loaderFiles.forEach(function (loaderFile) {
        // 判断文件类型
        if (fileTypeRegex.test(loaderFile)) {
            var loaderConfig = getLoader(configPath + '/' + loaderFile);
            if (loaderConfig) {
                loaders.push(loaderConfig);
            }
        }
    });
    return loaders;
}
exports.default = getLoaders;
;
