/**
 * @file getBabelLoader
 * @author WenCe
 */
import bablerc from '../babelrc.js';
import {getRcbConfig} from '../getExtraConfig'; 
import utils from '../utils';

const BABEL_REGEX = /\.jsx?$/;
export default function getBabelLoader() {
    const rcb = getRcbConfig();

    return ({
        test: BABEL_REGEX,
        exclude: /node_modules/,
        use: [
            {
                loader: require.resolve('babel-loader'),
                options: utils.mergeBabelConfig(bablerc, {plugins: rcb.babelPlugins, presets: rcb.babelPresets})
            }
        ]
    });
};
